<?php

class payammatni extends payammatniSms implements SmsSenderInterface
{

    public function __construct($message, $gsmnumber)
    {
        $this->message = $this->utilmessage($message);
        $this->gsmnumber = $this->utilgsmnumber($gsmnumber);
    }

    public function send()
    {
        if ($this->gsmnumber == "numbererror") {
            $log[] = ("Number format error." . $this->gsmnumber);
            $error[] = ("Number format error." . $this->gsmnumber);
            return null;
        }
        $params = $this->getParams();
        $soap=new SoapClient("http://panel.elanak.ir/webservice/send.php?wsdl");
        $soap->Username=$params->user;
        $soap->Password=$params->pass;
        $soap->fromNum=$params->senderid;
        $soap->toNum=array($this->gsmnumber);
        $soap->Content = $this->message;
        $soap->Type = '0';
        $array = $soap->SendSMS($soap->fromNum,$soap->toNum,$soap->Content,$soap->Type,$soap->Username,$soap->Password);


        /*$params = $this->getParams();
        $url = "ippanel.com/services.jspd";
        $param = array
        (
            'uname' => $params->user,
            'pass' => $params->pass,
            'from' => $params->senderid,
            'message' => $this->message,
            'to' => json_encode($this->gsmnumber),
            'op' => 'send'
        );
        $handler = curl_init($url);
        curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($handler, CURLOPT_POSTFIELDS, $param);
        curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
        $response2 = curl_exec($handler);
        curl_close($handler);
        $result = json_decode($response2);
        if ((int)$result[1] > 0) {
            $log[] = ("Message sent.");
        } else {
            $log[] = ("Error.");
            $error[] = ("Check status, looks like problem with a connection or credentials.");
        }*/
        return array(
            'log' => $log,
            'error' => $error,
            'msgid' => $result[1],
        );
    }

    public function balance()
    {
        $params = $this->getParams();
        if ($params->user && $params->pass) {
           $soap=new SoapClient("http://panel.elanak.ir/webservice/send.php?wsdl");
           $soap->Username=$params->user;
           $soap->Password=$params->pass;
            
            
            $string = $soap->GetCredit($soap->Username,$soap->Password);
            echo (number_format($string,0));
            
        } else {
            return null;
        }
    }

    public function report($msgid)
    {
        /*$params = $this->getParams();
        if ($params->user && $params->pass && $msgid) {
            $result = @file_get_contents('http://bytehand.com:3800/status?id=' . $params->user . '&key=' . $params->pass . '&message=' . $msgid);
            $result = json_decode($result);
            if ($result->status == 0) {
                if ($result->description == 'DELIVERED' || $result->description == 'ACCEPTED') {
                    return "success";
                } else {
                    return "error";
                }
            } else {
                null; // Problem with a connection, not with SMS.
            }
        } else {
            return null;
        }*/

    }

    //You can spesifically convert your gsm number. See netgsm for example
    public function utilgsmnumber($number)
    {
        return $number;
    }

    //You can spesifically convert your message
    public function utilmessage($message)
    {
        return $message;
    }
}

return array(
    'value' => 'payammatni',
    'label' => 'payammatni',
    'fields' => array(
        'user', 'pass'
    )
);
